# --8<--8<--8<--8<--
#
# Copyright (C) 2011 Smithsonian Astrophysical Observatory
#
# This file is part of make-world
#
# make-world is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# make-world is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
#       Free Software Foundation, Inc.
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

package MakeWorld::Status;

use strict;
use warnings;

use YAML::Tiny;
use MakeWorld::Log;

#----------------------------------------------------------------#
# load/save status file.


sub load
{
    my ( $statusfile ) = @_;

    msg( MakeWorld::Log::Notice, "Loading build status from $statusfile" );

    return YAML::Tiny::LoadFile( $statusfile );
}


sub save
{
    my ( $statusfile, $status ) = @_;

    msg( MakeWorld::Log::Notice, "Saving build status to $statusfile" );

    YAML::Tiny::DumpFile( $statusfile, $status );
}


1;
